---
extracts:
# Values: ENABLED | DISABLED. Not Nullable.
  - name: "CA10__status__c"
    value:
      FIELD:
        path: "CA10__status__c"
        undeterminedIf:
          noAccessDelegate:
            path: "CA10__status__c"
            currentStateMessage: "The status cannot be empty. Possible permission issue with guardduty:GetDetector."
  - name: "CA10__dataSourcesJson__c"
    value:
      FIELD:
        path: "CA10__dataSourcesJson__c"
        undeterminedIf:
          noAccessDelegate:
            path: "CA10__dataSourcesJson__c"
            currentStateMessage: "The Data Sources cannot be empty. Possible permission issue with guardduty:GetDetector."
  - name: "caJsonFrom__dataSourcesJson__c"
    value:
      JSON_FROM:
        arg:
          EXTRACT: "CA10__dataSourcesJson__c"
        undeterminedIf:
          isInvalid: "The Data Sources JSON is invalid."
  - name: "CA10__featuresJson__c"
    value:
      FIELD:
        path: "CA10__featuresJson__c"
        undeterminedIf:
          noAccessDelegate:
            path: "CA10__featuresJson__c"
            currentStateMessage: "The Features cannot be empty. Possible permission issue with guardduty:GetDetector."
  - name: "caJsonFrom__featuresJson__c"
    value:
      JSON_FROM:
        arg:
          EXTRACT: "CA10__featuresJson__c"
        undeterminedIf:
          isInvalid: "The Data Sources JSON is invalid."